Jump to content

Looking for a Lisp to simplify wall lines!


stlo
 Share

Recommended Posts

Hi everyone! I would like to know if there is already a program about creating new lines (less lines) over existing lines within maximum a 1/16" difference between the original lines and the new lines! Here's a drawing that explain everything!

Thanks for your help!

LESS LINES REQUEST.dwg

Link to comment
Share on other sites

1/16 of a inch (0.0625 inch)

This is our tolerance! Our pieces have to be precise but we would like to have less lines so our waterjet machine would be more efficient (faster) so only a 1/16" difference is still good!

Link to comment
Share on other sites

It's countertop industy! Is it possible that a lisp would do that?

 

You're asking for two things. 1) Reduce the number of lines and 2) Offset these lines 1/16th of an inch inward. What determines how 19 lines gets reduced down to 6 in your example? When you offset the lines there may have to be some cleanup where they overlap right?

Link to comment
Share on other sites

Right now, what I do is, I draw my new serie of lines starting from the left of the first wall (over the original wall) and I try to draw the longest line possible staying in my tolerance so nothing determines how much lines you will have at the end but I try to have as less as possible! I don't use the offset command, It's more like drawing over by finding high spot and low spot and see if the tolerance is good and draw the next line to finally create a new wall with less lines! Here's another drawing example of what I think could be possible but you have to keep in mind that I don't know a lot about program limitation and stuff but I like to think that everything is possible! How do I send a new drawing for explainations? I don't see join a file in the quick reply zone?

Thanks

Link to comment
Share on other sites

I think I know what you want something I have done which I call peg and shift lets you pick a control pline and then select other points square off. You would take this square off and check for that tolerance 1/16 else bend the line. Can you post a real dwg.

Screen Shot 06-24-16 at 01.23 PM.jpg

Peg-shift.lsp

Link to comment
Share on other sites

  • 6 years later...
Posted (edited)

Hi Bigal! I know it's been a while about this one but how do I launch you lisp file? I'm trying but it's not working? 

Thanks

 

Edited by stlo
Mistype
Link to comment
Share on other sites

Posted (edited)

Hi everyone! Is somebody know how to launch Bigal's pegshift lisp? I've tried to add the (defun c:) at many places but it's not working! Thanks!   

Edited by stlo
Link to comment
Share on other sites

2 ways if you have a LISP lke this, you can put a c : in front of the LISP name (here make it c:PEGSH) or in CAD type in (pegsh) with the command between brackets, There are a coupe of things not quite right with this code, you should be able to work that out and when BIGAl is looking next, this gave me an error with the getcoords function - haven't had a chance to look at a fix yet though, , maybe you have an updated version?

  • Like 1
Link to comment
Share on other sites

Like Steven said code isn't complete. something happen to the file. The website has been update quite a few times since 2016. Maybe @BIGAL has the original file.

 

you can replace the two cord sub functions with this line

(setq obj2 (vlax-ename->vla-object (setq ent (car (entsel "pick offset line"))))) ;add 2nd setq to store the ename to be used in co-ords
....
(setq co-ords (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget ent))))

 

Edited by mhupp
  • Like 1
Link to comment
Share on other sites

Thanks Steven P and mhupp! It still not working for me! I'll continue to try!

Have a good day!

Link to comment
Share on other sites

Let's work out what is happening for you then.. what does CAD tell you when you load and try to run this, are there any error messages given? (In AutoCAD these wil often be in the command line), let us have a clue...

  • Like 2
Link to comment
Share on other sites

2 hours ago, Steven P said:

Let's work out what is happening...

 

My forth grade math teacher always said that.

Brings me a smile.

Edited by mhupp
  • Like 1
  • Funny 1
Link to comment
Share on other sites

Hi guys! Bigal, I hope you had great holidays!! Here is a dwg, I've changed the title of it because since I've changed the many lines into a polyline it's more of a cnc machine time consuming thing! I also realize that my first request was non-sense! Thanks for looking at this!

Have a good day!

LESSTIMEFORCNC.dwg

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...